gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Convenience functions for setting window attributes. This module is a convenience wrapper for some similar functions in Gtk. This allows all Gnome applications to have a consistent way of setting their window and dialog titles. It is possible that in the future, a configurable way of setting window titles may be added.
- Constructor
  2.24.0.0
  To be added
  To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` a a To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void `` `` `` `` a a a a Set the title of a toplevel window.

  This is done by appending the window-specific name (less the extension, if any) to the application name. So it appears as "<appname> : <docname>".

  The parameters to this function are appropriate in that it identifies application windows as containing certain files that are being worked on at the time (for example, a word processor file, a spreadsheet or an image).